Western natal chart image
curl --request POST \
--url https://api.astrom8.com/api/v3/reports/natal/image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"date": "1990-05-20",
"time": "08:30:00",
"latitude": 0,
"longitude": 0,
"timezoneOffsetMinutes": 0,
"ayanamsa": "<string>",
"name": "<string>",
"house_system": "P",
"style": "minimal",
"locale": "th"
}
'import requests
url = "https://api.astrom8.com/api/v3/reports/natal/image"
payload = {
"date": "1990-05-20",
"time": "08:30:00",
"latitude": 0,
"longitude": 0,
"timezoneOffsetMinutes": 0,
"ayanamsa": "<string>",
"name": "<string>",
"house_system": "P",
"style": "minimal",
"locale": "th"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: '1990-05-20',
time: '08:30:00',
latitude: 0,
longitude: 0,
timezoneOffsetMinutes: 0,
ayanamsa: '<string>',
name: '<string>',
house_system: 'P',
style: 'minimal',
locale: 'th'
})
};
fetch('https://api.astrom8.com/api/v3/reports/natal/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"image_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "payment_required",
"message": "Insufficient credits for this request",
"code": "402",
"request_id": "01HQXYZ..."
}Reports
Western natal chart image
POST
/
api
/
v3
/
reports
/
natal
/
image
Western natal chart image
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Body
application/json
Example:
"1990-05-20"
Pattern:
^\d{2}:\d{2}(:\d{2})?$Example:
"08:30:00"
Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Required range:
-840 <= x <= 840Optional display name shown in the caption.
Required string length:
1 - 120Placidus / Whole-sign / Koch / Equal.
Available options:
P, W, K, E Available options:
minimal, ornate, thai Available options:
th, en ⌘I